<?xml version="1.0" encoding="UTF-8"?>
<mappingtask>
  <config>
    <rewriteSubsumptions>true</rewriteSubsumptions>
    <rewriteCoverages>true</rewriteCoverages>
    <rewriteSelfJoins>true</rewriteSelfJoins>
    <rewriteEGDs>false</rewriteEGDs>
    <sortStrategy>-1</sortStrategy>
    <skolemTableStrategy>-1</skolemTableStrategy>
    <useLocalSkolem>false</useLocalSkolem>
  </config>
  <source>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:amalgam_s4_a</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.described.describedTuple.did</from>
          <to>amalgam_s4_a.descriptor.descriptorTuple.did</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.described.describedTuple.pid</from>
          <to>amalgam_s4_a.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.located.locatedTuple.lid</from>
          <to>amalgam_s4_a.location.locationTuple.lid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.located.locatedTuple.pid</from>
          <to>amalgam_s4_a.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.recorded.recordedTuple.pid</from>
          <to>amalgam_s4_a.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.recorded.recordedTuple.rid</from>
          <to>amalgam_s4_a.record.recordTuple.rid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.written.writtenTuple.aid</from>
          <to>amalgam_s4_a.author.authorTuple.aid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_a.written.writtenTuple.pid</from>
          <to>amalgam_s4_a.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
    </joinConditions>
  </source>
  <target>
    <type>relational</type>
    <relational>
      <driver>org.postgresql.Driver</driver>
      <uri>jdbc:postgresql:amalgam_s4_b</uri>
      <login>postgres</login>
      <password>postgres</password>
    </relational>
    <inclusions />
    <exclusions />
    <duplications />
    <functionalDependencies />
    <selectionConditions />
    <joinConditions>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.described.describedTuple.did</from>
          <to>amalgam_s4_b.descriptor.descriptorTuple.did</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.described.describedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.located.locatedTuple.lid</from>
          <to>amalgam_s4_b.location.locationTuple.lid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.located.locatedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.recorded.recordedTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.recorded.recordedTuple.rid</from>
          <to>amalgam_s4_b.record.recordTuple.rid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.written.writtenTuple.aid</from>
          <to>amalgam_s4_b.author.authorTuple.aid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
      <joinCondition>
        <join>
          <from>amalgam_s4_b.written.writtenTuple.pid</from>
          <to>amalgam_s4_b.publication.publicationTuple.pid</to>
        </join>
        <foreignKey>true</foreignKey>
        <mandatory>true</mandatory>
      </joinCondition>
    </joinConditions>
  </target>
  <correspondences />
</mappingtask>

